sc::NCAccResult< T >(3)

NAME
sc::NCAccResult< T > -

This associates a result non-class datum with an accuracy'.

SYNOPSIS

#include <comptmpl.h>

Inherits sc::AccResultInfo'.

  Public Member Functions
NCAccResult (Compute *c)
NCAccResult (const NCAccResult< T > &r, Compute *c)
operator T & ()
T & result ()
T & result_noupdate ()
const T & result_noupdate () const
void operator= (const T &a)
void operator= (const NCAccResult< T > &r)
void restore_state (StateIn &s)
void save_data_state (StateOut &s)
NCAccResult (StateIn &s, Compute *c)

Detailed Description

  template<class T>class sc::NCAccResult< T >
This associates a result non-class datum with an accuracy'.

Author

Generated automatically by Doxygen for MPQC from the source code'.